Developers

Updates the Risk resource

PATCH
/project/risks/{id}

Updates the Risk resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

Risk identifier

Request Body

The updated Risk resource

  1. body
name?string
Lengthlength <= 100
description?|
Lengthlength <= 100000
probability?|
Range1 <= value <= 5
date?|
Formatdate-time
projectUser?|
Formatuuid
type?|
Formatuuid
impact?|
Formatuuid

Response Body

Risk resource updated

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
description?|
Lengthlength <= 100000
probability?integer|null
date?|
Formatdate-time
createdAt?|
Formatdate-time
updatedAt?|
Formatdate-time
projectUser?|null
project?string
Formatuuid
projectName?string
Lengthlength <= 100
projectShortCode?string
Length6 <= length <= 6
projectIsSimple?boolean
stage?|
Formatuuid
stageName?|
Lengthlength <= 100
board?|
Formatuuid
boardName?|
Lengthlength <= 100
boardShortCode?|
Length6 <= length <= 6
task?|
Formatuuid
taskName?|
Lengthlength <= 150
taskShortCode?|
Length6 <= length <= 6
type?|
Formatuuid
typeName?|
Lengthlength <= 100
impact?|
Formatuuid
impactName?|
Lengthlength <= 100
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/project/risks/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "probability": 0,  "date": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "projectUser": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phoneNumber": "string",    "pictureSm": "string",    "pictureLg": "string"  },  "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",  "projectName": "string",  "projectShortCode": "string",  "projectIsSimple": true,  "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023",  "stageName": "string",  "board": "a98884d6-3c76-4114-ba9c-216527a5aac1",  "boardName": "string",  "boardShortCode": "string",  "task": "4879b8a6-fb3e-4a0d-aef8-b0ea469ac85c",  "taskName": "string",  "taskShortCode": "string",  "type": "4595bf66-18b2-445a-a884-1b08d0c2df0e",  "typeName": "string",  "impact": "4f76d8c5-a77a-40a5-b154-4cb5b989b7aa",  "impactName": "string"}